
import { axios } from '@/utils/request'
import {upcloud_base_common} from "@/config/serviceSettings";

import qs from 'qs'

export function getList(params) {
  return axios({
    url: upcloud_base_common+'/sys-print-mst/page',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data:  qs.stringify(params)
  })
}
//修改
export function updateDetail(params) {
  return axios({
    url: upcloud_base_common+'/sys-print-mst/update',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
//新增
export function addDetail(params) {
  return axios({
    url: upcloud_base_common+'/sys-print-mst/add',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
//删除
export function delDetail(params) {
  return axios({
    url: upcloud_base_common+'/sys-print-mst/delete',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data:  qs.stringify(params)
  })
}